## Holds game constants and variable settings.
class_name Config
extends Resource

const ITEM_DB: Array[Item] = [
	preload("res://data/items/olive.tres"),
	preload("res://data/items/scented_hammer.tres"),
]
const START_ITEMS = 8
const START_TOWN = preload("res://data/towns/goldthorn.tres")

static var instance := Config.new()


static func save() -> void:
	ResourceSaver.save(instance, "user://config.tres")


static func fetch() -> Config:
	return instance
